Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.parser.schema
Interface XSDConstantValues

All Known Implementing Classes:
  XMLSchema, XMLSchemaNode, XSDAttribute, XSDBuilder, XSDComplexType, XSDConstants, XSDConstrainingFacet, XSDDataValue, XSDElement, XSDGroup, XSDIdentity, XSDNode, XSDSimpleType, XSDValidator

      public interface XSDConstantValues

This interface defines constants used in schema processor

Field Summary
`static java.lang.String` `_abstract`
`static java.lang.String` `_all`
`static java.lang.String` `_annotation`
`static java.lang.String` `_any`
`static java.lang.String` `_anyAttribute`
`static java.lang.String` `_anySimpleType`
`static java.lang.String` `_anyType`
`static java.lang.String` `_appinfo`
`static java.lang.String` `_attrFormDefault`
`static java.lang.String` `_attribute`
`static java.lang.String` `_attributeGroup`
`static java.lang.String` `_attrTag`
`static java.lang.String` `_base`
`static java.lang.String` `_block`
`static java.lang.String` `_blockDefault`
`static java.lang.String` `_choice`
`static java.lang.String` `_complexContent`
`static java.lang.String` `_complexType`
`static java.lang.String` `_content`
`static java.lang.String` `_default`
`static java.lang.String` `_derivedBy`
`static java.lang.String` `_documentation`
`static java.lang.String` `_element`
`static java.lang.String` `_elementOnly`
`static java.lang.String` `_elemFormDefault`
`static java.lang.String` `_empty`
`static java.lang.String` `_enumeration`
`static java.lang.String` `_equivClass`
`static java.lang.String` `_extension`
`static java.lang.String` `_false`
`static java.lang.String` `_field`
`static java.lang.String` `_final`
`static java.lang.String` `_finalDefault`
`static java.lang.String` `_fixed`
`static java.lang.String` `_form`
`static java.lang.String` `_group`
`static java.lang.String` `_id`
`static java.lang.String` `_import`
`static java.lang.String` `_include`
`static java.lang.String` `_itemType`
`static java.lang.String` `_key`
`static java.lang.String` `_keyref`
`static java.lang.String` `_lax`
`static java.lang.String` `_list`
`static java.lang.String` `_maxOccurs`
`static java.lang.String` `_memberTypes`
`static java.lang.String` `_minOccurs`
`static java.lang.String` `_mixed`
`static java.lang.String` `_nall`
`static java.lang.String` `_name`
`static java.lang.String` `_namespace`
`static java.lang.String` `_nil`
`static java.lang.String` `_nillable`
`static java.lang.String` `_nnany`
`static java.lang.String` `_nnlist`
`static java.lang.String` `_nnlocal`
`static java.lang.String` `_nnother`
`static java.lang.String` `_nntargetNS`
`static java.lang.String` `_noNSSchemaLocation`
`static java.lang.String` `_notation`
`static java.lang.String` `_null`
`static java.lang.String` `_nullable`
`static java.lang.String` `_optional`
`static java.lang.String` `_pattern`
`static java.lang.String` `_processContents`
`static java.lang.String` `_prohibited`
`static java.lang.String` `_publicid`
`static java.lang.String` `_qualified`
`static java.lang.String` `_redefine`
`static java.lang.String` `_ref`
`static java.lang.String` `_refer`
`static java.lang.String` `_required`
`static java.lang.String` `_restriction`
`static java.lang.String` `_restrictions`
`static java.lang.String` `_schema`
`static java.lang.String` `_schemaLocation`
`static java.lang.String` `_selector`
`static java.lang.String` `_sequence`
`static java.lang.String` `_simpleContent`
`static java.lang.String` `_simpleType`
`static java.lang.String` `_skip`
`static java.lang.String` `_strict`
`static java.lang.String` `_substitution`
`static java.lang.String` `_substitutionGrp`
`static java.lang.String` `_systemid`
`static java.lang.String` `_targetNS`
`static java.lang.String` `_textOnly`
`static java.lang.String` `_this`
`static java.lang.String` `_true`
`static java.lang.String` `_type`
`static java.lang.String` `_undef`
`static java.lang.String` `_union`
`static java.lang.String` `_unique`
`static java.lang.String` `_unqualified`
`static java.lang.String` `_use`
`static java.lang.String` `_value`
`static java.lang.String` `_version`
`static java.lang.String` `_xmlns`
`static int` `ABSENT_NS`
`static int` `ACCEPTED`
`static int` `ALL`
`static int` `ANNOTATION`
`static int` `ANY`
`static int` `ANY_ATTRIBUTE`
`static java.lang.String` `ANY_NODE`
`static int` `ATTRIBUTE`
`static int` `ATTRIBUTE_GROUP`
`static java.lang.String` `AUTO_VALIDATION`
`static int` `BASE_RESOLVED`
`static int` `BASE_UNRESOLVED`
`static java.lang.String` `BASE_URL`
`static int` `BUILD_FAIL`
`static int` `CHOICE`
`static int` `CIRCULAR_SUBST`
`static int` `CONFLICIT_FACET`
`static java.lang.String[]` `constName`
`static int` `DATATYPE`
`static java.lang.String` `DEEP_VALIDATION`
`static int` `derivationBlock`
`static int` `DONE`
`static int` `DUPLICATE_DEF`
`static int` `duplicateId`
`static int` `ELEMENT`
`static int` `ELEMENT_CHILD`
`static int` `ELEMENT_ONLY`
`static int` `elemNotNullable`
`static int` `EMPTY`
`static java.lang.String` `ENTITY_RESOLVER`
`static int` `EQUIV_RESOLVED`
`static int` `EQUIV_UNRESOLVED`
`static int` `ERROR`
`static int` `EXTENTION`
`static int` `FACET_CHILD`
`static XSDAttribute` `FAKE_ATTR`
`static XSDGroup` `FAKE_NODE`
`static java.lang.String` `FIXED_SCHEMA`
`static int` `GROUP`
`static int` `IABSTRACT`
`static int` `IBLOCKEXT`
`static int` `IBLOCKRST`
`static int` `IBLOCKSUB`
`static int` `IDENTITY_ERROR`
`static int` `IDENTITY_KEY`
`static int` `IDENTITY_KEYREF`
`static int` `IDENTITY_UNIQUE`
`static int` `IFINALEXT`
`static int` `IFINALLIST`
`static int` `IFINALRST`
`static int` `IFINALUNION`
`static int` `IMPORT`
`static int` `INCLUDE`
`static int` `INCORRECT_ATTR`
`static int` `INCORRECT_ELEM`
`static int` `INFINITY`
`static int` `INTERNAL_ERROR`
`static int` `INVALID_DATE`
`static int` `INVALID_DATETIME`
`static int` `INVALID_DERIVATION`
`static int` `INVALID_FACET`
`static int` `INVALID_FACET_VALUE`
`static int` `INVALID_NOTATION`
`static int` `INVALID_REGEX`
`static int` `INVALID_SCHEMA_NS`
`static int` `INVALID_TIME`
`static int` `INVALID_TYPE_VALUE`
`static int` `invalidAttr`
`static int` `invalidAttrVal`
`static int` `invalidChars`
`static int` `invalidElem`
`static int` `invalidFixedChars`
`static int` `invalidNS`
`static int` `invalidPrefix`
`static int` `invalidProperty`
`static int` `invalidRef`
`static int` `invalidSubstitution`
`static int` `invalidTargetNS`
`static java.lang.String` `LAX_VALIDATION`
`static int` `MISSING_NS`
`static int` `missingAttr`
`static int` `MIXED`
`static int` `NEW_STATE`
`static int` `NO_CHILD`
`static int` `noDefinition`
`static int` `NOT_DONE`
`static int` `NOTATION`
`static int` `notComplete`
`static int` `notSubstitutable`
`static int` `notSubTypeOf`
`static int` `NS_CONFLICT`
`static int` `NS_DIF_SPECIFIED`
`static int` `NS_NOT_ALLOWED`
`static int` `NS_NOT_EXPECTED`
`static int` `NS_NOT_SAME`
`static java.lang.String` `NS_RESOLVER`
`static int` `REDEFINE`
`static int` `REF_RESOLVED`
`static int` `REF_UNRESOLVED`
`static int` `RESTRICTION`
`static java.lang.String` `ROOT_ELEMENT`
`static java.lang.String` `ROOT_NODE`
`static java.lang.String` `ROOT_TYPE`
`static int` `SCHEMA_NS`
`static java.lang.String` `SCHEMA_RESOLVER`
`static int` `SEQ`
`static java.lang.String` `STRICT_VALIDATION`
`static int` `TEXT_ONLY`
`static int` `TOP_LEVEL`
`static int` `TYPE`
`static int` `TYPE_RESOLVED`
`static int` `TYPE_UNRESOLVED`
`static int` `UNDEF`
`static int` `unexpectedAttr`
`static int` `unexpectedElem`
`static java.lang.String` `VALIDATION_MODE`
`static int` `VIOLATE_FACET`
`static java.lang.String` `XSDRECNS`
`static java.lang.String` `XSDRECTYPENS`
`static java.lang.String` `XSIRECNS`
`static int` `XSITYPE_ABSENT`

Field Detail

### ABSENT_NS

    static final int ABSENT_NS

  See Also:
    Constant Field Values

### SCHEMA_NS

    static final int SCHEMA_NS

  See Also:
    Constant Field Values

### NO_CHILD

    static final int NO_CHILD

  See Also:
    Constant Field Values

### FACET_CHILD

    static final int FACET_CHILD

  See Also:
    Constant Field Values

### ELEMENT_CHILD

    static final int ELEMENT_CHILD

  See Also:
    Constant Field Values

### TOP_LEVEL

    static final int TOP_LEVEL

  See Also:
    Constant Field Values

### INCLUDE

    static final int INCLUDE

  See Also:
    Constant Field Values

### IMPORT

    static final int IMPORT

  See Also:
    Constant Field Values

### REDEFINE

    static final int REDEFINE

  See Also:
    Constant Field Values

### REF_RESOLVED

    static final int REF_RESOLVED

  See Also:
    Constant Field Values

### REF_UNRESOLVED

    static final int REF_UNRESOLVED

  See Also:
    Constant Field Values

### TYPE_RESOLVED

    static final int TYPE_RESOLVED

  See Also:
    Constant Field Values

### TYPE_UNRESOLVED

    static final int TYPE_UNRESOLVED

  See Also:
    Constant Field Values

### EQUIV_RESOLVED

    static final int EQUIV_RESOLVED

  See Also:
    Constant Field Values

### EQUIV_UNRESOLVED

    static final int EQUIV_UNRESOLVED

  See Also:
    Constant Field Values

### BASE_RESOLVED

    static final int BASE_RESOLVED

  See Also:
    Constant Field Values

### BASE_UNRESOLVED

    static final int BASE_UNRESOLVED

  See Also:
    Constant Field Values

### ANY

    static final int ANY

  See Also:
    Constant Field Values

### TYPE

    static final int TYPE

  See Also:
    Constant Field Values

### DATATYPE

    static final int DATATYPE

  See Also:
    Constant Field Values

### ELEMENT

    static final int ELEMENT

  See Also:
    Constant Field Values

### ATTRIBUTE

    static final int ATTRIBUTE

  See Also:
    Constant Field Values

### GROUP

    static final int GROUP

  See Also:
    Constant Field Values

### ATTRIBUTE_GROUP

    static final int ATTRIBUTE_GROUP

  See Also:
    Constant Field Values

### ANY_ATTRIBUTE

    static final int ANY_ATTRIBUTE

  See Also:
    Constant Field Values

### ANNOTATION

    static final int ANNOTATION

  See Also:
    Constant Field Values

### SEQ

    static final int SEQ

  See Also:
    Constant Field Values

### CHOICE

    static final int CHOICE

  See Also:
    Constant Field Values

### ALL

    static final int ALL

  See Also:
    Constant Field Values

### EMPTY

    static final int EMPTY

  See Also:
    Constant Field Values

### TEXT_ONLY

    static final int TEXT_ONLY

  See Also:
    Constant Field Values

### ELEMENT_ONLY

    static final int ELEMENT_ONLY

  See Also:
    Constant Field Values

### MIXED

    static final int MIXED

  See Also:
    Constant Field Values

### RESTRICTION

    static final int RESTRICTION

  See Also:
    Constant Field Values

### EXTENTION

    static final int EXTENTION

  See Also:
    Constant Field Values

### NEW_STATE

    static final int NEW_STATE

  See Also:
    Constant Field Values

### NOT_DONE

    static final int NOT_DONE

  See Also:
    Constant Field Values

### ACCEPTED

    static final int ACCEPTED

  See Also:
    Constant Field Values

### DONE

    static final int DONE

  See Also:
    Constant Field Values

### UNDEF

    static final int UNDEF

  See Also:
    Constant Field Values

### ERROR

    static final int ERROR

  See Also:
    Constant Field Values

### INFINITY

    static final int INFINITY

  See Also:
    Constant Field Values

### IDENTITY_UNIQUE

    static final int IDENTITY_UNIQUE

  See Also:
    Constant Field Values

### IDENTITY_KEY

    static final int IDENTITY_KEY

  See Also:
    Constant Field Values

### IDENTITY_KEYREF

    static final int IDENTITY_KEYREF

  See Also:
    Constant Field Values

### NOTATION

    static final int NOTATION

  See Also:
    Constant Field Values

### IBLOCKSUB

    static final int IBLOCKSUB

  See Also:
    Constant Field Values

### IBLOCKEXT

    static final int IBLOCKEXT

  See Also:
    Constant Field Values

### IBLOCKRST

    static final int IBLOCKRST

  See Also:
    Constant Field Values

### IFINALEXT

    static final int IFINALEXT

  See Also:
    Constant Field Values

### IFINALRST

    static final int IFINALRST

  See Also:
    Constant Field Values

### IFINALLIST

    static final int IFINALLIST

  See Also:
    Constant Field Values

### IFINALUNION

    static final int IFINALUNION

  See Also:
    Constant Field Values

### IABSTRACT

    static final int IABSTRACT

  See Also:
    Constant Field Values

### XSDRECNS

    static final java.lang.String XSDRECNS

  See Also:
    Constant Field Values

### XSDRECTYPENS

    static final java.lang.String XSDRECTYPENS

  See Also:
    Constant Field Values

### XSIRECNS

    static final java.lang.String XSIRECNS

  See Also:
    Constant Field Values

### VALIDATION_MODE

    static final java.lang.String VALIDATION_MODE

  See Also:
    Constant Field Values

### FIXED_SCHEMA

    static final java.lang.String FIXED_SCHEMA

  See Also:
    Constant Field Values

### BASE_URL

    static final java.lang.String BASE_URL

  See Also:
    Constant Field Values

### NS_RESOLVER

    static final java.lang.String NS_RESOLVER

  See Also:
    Constant Field Values

### ENTITY_RESOLVER

    static final java.lang.String ENTITY_RESOLVER

  See Also:
    Constant Field Values

### SCHEMA_RESOLVER

    static final java.lang.String SCHEMA_RESOLVER

  See Also:
    Constant Field Values

### STRICT_VALIDATION

    static final java.lang.String STRICT_VALIDATION

  See Also:
    Constant Field Values

### LAX_VALIDATION

    static final java.lang.String LAX_VALIDATION

  See Also:
    Constant Field Values

### AUTO_VALIDATION

    static final java.lang.String AUTO_VALIDATION

  See Also:
    Constant Field Values

### DEEP_VALIDATION

    static final java.lang.String DEEP_VALIDATION

  See Also:
    Constant Field Values

### ROOT_NODE

    static final java.lang.String ROOT_NODE

  See Also:
    Constant Field Values

### ROOT_ELEMENT

    static final java.lang.String ROOT_ELEMENT

  See Also:
    Constant Field Values

### ROOT_TYPE

    static final java.lang.String ROOT_TYPE

  See Also:
    Constant Field Values

### _attrTag

    static final java.lang.String _attrTag

  See Also:
    Constant Field Values

### _simpleType

    static final java.lang.String _simpleType

  See Also:
    Constant Field Values

### _complexType

    static final java.lang.String _complexType

  See Also:
    Constant Field Values

### _element

    static final java.lang.String _element

  See Also:
    Constant Field Values

### _attribute

    static final java.lang.String _attribute

  See Also:
    Constant Field Values

### _annotation

    static final java.lang.String _annotation

  See Also:
    Constant Field Values

### _group

    static final java.lang.String _group

  See Also:
    Constant Field Values

### _attributeGroup

    static final java.lang.String _attributeGroup

  See Also:
    Constant Field Values

### _restrictions

    static final java.lang.String _restrictions

  See Also:
    Constant Field Values

### _import

    static final java.lang.String _import

  See Also:
    Constant Field Values

### _include

    static final java.lang.String _include

  See Also:
    Constant Field Values

### _redefine

    static final java.lang.String _redefine

  See Also:
    Constant Field Values

### _sequence

    static final java.lang.String _sequence

  See Also:
    Constant Field Values

### _choice

    static final java.lang.String _choice

  See Also:
    Constant Field Values

### _all

    static final java.lang.String _all

  See Also:
    Constant Field Values

### _schema

    static final java.lang.String _schema

  See Also:
    Constant Field Values

### _any

    static final java.lang.String _any

  See Also:
    Constant Field Values

### _anyAttribute

    static final java.lang.String _anyAttribute

  See Also:
    Constant Field Values

### _notation

    static final java.lang.String _notation

  See Also:
    Constant Field Values

### _simpleContent

    static final java.lang.String _simpleContent

  See Also:
    Constant Field Values

### _complexContent

    static final java.lang.String _complexContent

  See Also:
    Constant Field Values

### _union

    static final java.lang.String _union

  See Also:
    Constant Field Values

### _restriction

    static final java.lang.String _restriction

  See Also:
    Constant Field Values

### _extension

    static final java.lang.String _extension

  See Also:
    Constant Field Values

### _list

    static final java.lang.String _list

  See Also:
    Constant Field Values

### _pattern

    static final java.lang.String _pattern

  See Also:
    Constant Field Values

### _enumeration

    static final java.lang.String _enumeration

  See Also:
    Constant Field Values

### _documentation

    static final java.lang.String _documentation

  See Also:
    Constant Field Values

### _appinfo

    static final java.lang.String _appinfo

  See Also:
    Constant Field Values

### _name

    static final java.lang.String _name

  See Also:
    Constant Field Values

### _content

    static final java.lang.String _content

  See Also:
    Constant Field Values

### _abstract

    static final java.lang.String _abstract

  See Also:
    Constant Field Values

### _final

    static final java.lang.String _final

  See Also:
    Constant Field Values

### _form

    static final java.lang.String _form

  See Also:
    Constant Field Values

### _block

    static final java.lang.String _block

  See Also:
    Constant Field Values

### _derivedBy

    static final java.lang.String _derivedBy

  See Also:
    Constant Field Values

### _base

    static final java.lang.String _base

  See Also:
    Constant Field Values

### _mixed

    static final java.lang.String _mixed

  See Also:
    Constant Field Values

### _value

    static final java.lang.String _value

  See Also:
    Constant Field Values

### _equivClass

    static final java.lang.String _equivClass

  See Also:
    Constant Field Values

### _substitutionGrp

    static final java.lang.String _substitutionGrp

  See Also:
    Constant Field Values

### _substitution

    static final java.lang.String _substitution

  See Also:
    Constant Field Values

### _use

    static final java.lang.String _use

  See Also:
    Constant Field Values

### _minOccurs

    static final java.lang.String _minOccurs

  See Also:
    Constant Field Values

### _maxOccurs

    static final java.lang.String _maxOccurs

  See Also:
    Constant Field Values

### _type

    static final java.lang.String _type

  See Also:
    Constant Field Values

### _default

    static final java.lang.String _default

  See Also:
    Constant Field Values

### _fixed

    static final java.lang.String _fixed

  See Also:
    Constant Field Values

### _nullable

    static final java.lang.String _nullable

  See Also:
    Constant Field Values

### _nillable

    static final java.lang.String _nillable

  See Also:
    Constant Field Values

### _nil

    static final java.lang.String _nil

  See Also:
    Constant Field Values

### _ref

    static final java.lang.String _ref

  See Also:
    Constant Field Values

### _refer

    static final java.lang.String _refer

  See Also:
    Constant Field Values

### _id

    static final java.lang.String _id

  See Also:
    Constant Field Values

### _targetNS

    static final java.lang.String _targetNS

  See Also:
    Constant Field Values

### _processContents

    static final java.lang.String _processContents

  See Also:
    Constant Field Values

### _namespace

    static final java.lang.String _namespace

  See Also:
    Constant Field Values

### _schemaLocation

    static final java.lang.String _schemaLocation

  See Also:
    Constant Field Values

### _noNSSchemaLocation

    static final java.lang.String _noNSSchemaLocation

  See Also:
    Constant Field Values

### _null

    static final java.lang.String _null

  See Also:
    Constant Field Values

### _xmlns

    static final java.lang.String _xmlns

  See Also:
    Constant Field Values

### _finalDefault

    static final java.lang.String _finalDefault

  See Also:
    Constant Field Values

### _blockDefault

    static final java.lang.String _blockDefault

  See Also:
    Constant Field Values

### _attrFormDefault

    static final java.lang.String _attrFormDefault

  See Also:
    Constant Field Values

### _elemFormDefault

    static final java.lang.String _elemFormDefault

  See Also:
    Constant Field Values

### _version

    static final java.lang.String _version

  See Also:
    Constant Field Values

### _unique

    static final java.lang.String _unique

  See Also:
    Constant Field Values

### _key

    static final java.lang.String _key

  See Also:
    Constant Field Values

### _keyref

    static final java.lang.String _keyref

  See Also:
    Constant Field Values

### _selector

    static final java.lang.String _selector

  See Also:
    Constant Field Values

### _field

    static final java.lang.String _field

  See Also:
    Constant Field Values

### _publicid

    static final java.lang.String _publicid

  See Also:
    Constant Field Values

### _systemid

    static final java.lang.String _systemid

  See Also:
    Constant Field Values

### _itemType

    static final java.lang.String _itemType

  See Also:
    Constant Field Values

### _memberTypes

    static final java.lang.String _memberTypes

  See Also:
    Constant Field Values

### _undef

    static final java.lang.String _undef

  See Also:
    Constant Field Values

### _true

    static final java.lang.String _true

  See Also:
    Constant Field Values

### _false

    static final java.lang.String _false

  See Also:
    Constant Field Values

### _elementOnly

    static final java.lang.String _elementOnly

  See Also:
    Constant Field Values

### _textOnly

    static final java.lang.String _textOnly

  See Also:
    Constant Field Values

### _empty

    static final java.lang.String _empty

  See Also:
    Constant Field Values

### _nall

    static final java.lang.String _nall

  See Also:
    Constant Field Values

### _skip

    static final java.lang.String _skip

  See Also:
    Constant Field Values

### _lax

    static final java.lang.String _lax

  See Also:
    Constant Field Values

### _strict

    static final java.lang.String _strict

  See Also:
    Constant Field Values

### _nnlist

    static final java.lang.String _nnlist

  See Also:
    Constant Field Values

### _nnlocal

    static final java.lang.String _nnlocal

  See Also:
    Constant Field Values

### _nnany

    static final java.lang.String _nnany

  See Also:
    Constant Field Values

### _nnother

    static final java.lang.String _nnother

  See Also:
    Constant Field Values

### _nntargetNS

    static final java.lang.String _nntargetNS

  See Also:
    Constant Field Values

### _this

    static final java.lang.String _this

  See Also:
    Constant Field Values

### _required

    static final java.lang.String _required

  See Also:
    Constant Field Values

### _optional

    static final java.lang.String _optional

  See Also:
    Constant Field Values

### _prohibited

    static final java.lang.String _prohibited

  See Also:
    Constant Field Values

### _qualified

    static final java.lang.String _qualified

  See Also:
    Constant Field Values

### _unqualified

    static final java.lang.String _unqualified

  See Also:
    Constant Field Values

### _anyType

    static final java.lang.String _anyType

  See Also:
    Constant Field Values

### _anySimpleType

    static final java.lang.String _anySimpleType

  See Also:
    Constant Field Values

### INVALID_SCHEMA_NS

    static final int INVALID_SCHEMA_NS

  See Also:
    Constant Field Values

### INVALID_NOTATION

    static final int INVALID_NOTATION

  See Also:
    Constant Field Values

### INVALID_DERIVATION

    static final int INVALID_DERIVATION

  See Also:
    Constant Field Values

### INVALID_FACET

    static final int INVALID_FACET

  See Also:
    Constant Field Values

### NS_CONFLICT

    static final int NS_CONFLICT

  See Also:
    Constant Field Values

### MISSING_NS

    static final int MISSING_NS

  See Also:
    Constant Field Values

### NS_DIF_SPECIFIED

    static final int NS_DIF_SPECIFIED

  See Also:
    Constant Field Values

### NS_NOT_EXPECTED

    static final int NS_NOT_EXPECTED

  See Also:
    Constant Field Values

### NS_NOT_SAME

    static final int NS_NOT_SAME

  See Also:
    Constant Field Values

### NS_NOT_ALLOWED

    static final int NS_NOT_ALLOWED

  See Also:
    Constant Field Values

### INTERNAL_ERROR

    static final int INTERNAL_ERROR

  See Also:
    Constant Field Values

### XSITYPE_ABSENT

    static final int XSITYPE_ABSENT

  See Also:
    Constant Field Values

### CIRCULAR_SUBST

    static final int CIRCULAR_SUBST

  See Also:
    Constant Field Values

### INVALID_DATE

    static final int INVALID_DATE

  See Also:
    Constant Field Values

### INVALID_TIME

    static final int INVALID_TIME

  See Also:
    Constant Field Values

### INVALID_DATETIME

    static final int INVALID_DATETIME

  See Also:
    Constant Field Values

### BUILD_FAIL

    static final int BUILD_FAIL

  See Also:
    Constant Field Values

### invalidTargetNS

    static final int invalidTargetNS

  See Also:
    Constant Field Values

### invalidPrefix

    static final int invalidPrefix

  See Also:
    Constant Field Values

### notComplete

    static final int notComplete

  See Also:
    Constant Field Values

### invalidAttrVal

    static final int invalidAttrVal

  See Also:
    Constant Field Values

### invalidChars

    static final int invalidChars

  See Also:
    Constant Field Values

### invalidAttr

    static final int invalidAttr

  See Also:
    Constant Field Values

### invalidElem

    static final int invalidElem

  See Also:
    Constant Field Values

### invalidRef

    static final int invalidRef

  See Also:
    Constant Field Values

### invalidNS

    static final int invalidNS

  See Also:
    Constant Field Values

### elemNotNullable

    static final int elemNotNullable

  See Also:
    Constant Field Values

### invalidFixedChars

    static final int invalidFixedChars

  See Also:
    Constant Field Values

### unexpectedElem

    static final int unexpectedElem

  See Also:
    Constant Field Values

### unexpectedAttr

    static final int unexpectedAttr

  See Also:
    Constant Field Values

### missingAttr

    static final int missingAttr

  See Also:
    Constant Field Values

### notSubTypeOf

    static final int notSubTypeOf

  See Also:
    Constant Field Values

### noDefinition

    static final int noDefinition

  See Also:
    Constant Field Values

### derivationBlock

    static final int derivationBlock

  See Also:
    Constant Field Values

### notSubstitutable

    static final int notSubstitutable

  See Also:
    Constant Field Values

### invalidSubstitution

    static final int invalidSubstitution

  See Also:
    Constant Field Values

### INCORRECT_ELEM

    static final int INCORRECT_ELEM

  See Also:
    Constant Field Values

### INCORRECT_ATTR

    static final int INCORRECT_ATTR

  See Also:
    Constant Field Values

### duplicateId

    static final int duplicateId

  See Also:
    Constant Field Values

### invalidProperty

    static final int invalidProperty

  See Also:
    Constant Field Values

### INVALID_REGEX

    static final int INVALID_REGEX

  See Also:
    Constant Field Values

### VIOLATE_FACET

    static final int VIOLATE_FACET

  See Also:
    Constant Field Values

### CONFLICIT_FACET

    static final int CONFLICIT_FACET

  See Also:
    Constant Field Values

### INVALID_FACET_VALUE

    static final int INVALID_FACET_VALUE

  See Also:
    Constant Field Values

### IDENTITY_ERROR

    static final int IDENTITY_ERROR

  See Also:
    Constant Field Values

### INVALID_TYPE_VALUE

    static final int INVALID_TYPE_VALUE

  See Also:
    Constant Field Values

### DUPLICATE_DEF

    static final int DUPLICATE_DEF

  See Also:
    Constant Field Values

### constName

    static final java.lang.String[] constName

### FAKE_NODE

    static final XSDGroup FAKE_NODE

### ANY_NODE

    static final java.lang.String ANY_NODE

  See Also:
    Constant Field Values

### FAKE_ATTR

    static final XSDAttribute FAKE_ATTR

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.